using System;
using System.Collections.Generic;
using System.Text;



namespace ComCommonLib {
	
	/// <summary>
	/// An simple stream
	/// </summary>
	public interface IOpenClose {
		
		#region ----------------------------------------------------------------



		/// <summary>
		/// Return true if the underlying stream is open
		/// </summary>
		bool IsOpen { get; }
		


		/// <summary>
		/// Open stream
		/// </summary>
		/// <returns><see cref="IsOpen"/></returns>
		bool Open();



		/// <summary>
		/// Close stream
		/// </summary>
		/// <returns><see cref="IsOpen"/></returns>
		bool Close();



		#endregion

	}
}
